Polyploidy found, and not supported by vcftools
0
0
Entering edit mode
5.4 years ago

Dear All,

I am getting the following error while running vcftools for polyploidy genome.

Error: Polyploidy found, and not supported by vcftools: 1A:3380

I ran the following script to see the polyploidy:

zgrep -v "^#"  sample.vcf.gz | cut -f 10- | cut -d ':' -f 1 | sort | uniq

And I get:

0/0/0/0/0/0
0/0/0/0/0/1
0/0/0/0/0/2
0/0/0/0/0/3
0/0/0/0/0/4
0/0/0/0/1/1
0/0/0/0/1/2
0/0/0/0/1/3
0/0/0/0/2/2
0/0/0/0/2/3
0/0/0/0/3/3
0/0/0/0/4/4
0/0/0/1/1/1
0/0/0/1/1/2
0/0/0/1/1/3
0/0/0/1/2/2
0/0/0/1/2/3
0/0/0/1/2/4
0/0/0/1/3/3
0/0/0/2/2/2
0/0/0/2/2/3
0/0/0/2/2/4
0/0/0/2/3/3
0/0/0/3/3/3
0/0/0/4/4/4
0/0/1/1/1/1
0/0/1/1/1/2
0/0/1/1/1/3
0/0/1/1/2/2
0/0/1/1/3/3
0/0/1/1/3/4
0/0/1/2/2/2
0/0/1/2/2/3
0/0/1/3/3/3
0/0/1/4/4/4
0/0/2/2/2/2

Could anyone suggest what could be the error?

Thanks!

SNP • 3.5k views
ADD COMMENT
0
Entering edit mode

Hello sambioinfo2018 ,

do you expect polyploidy in your samples?

If yes, than vcftoolsis obviously the wrong tool for whatever you like to do, as it statet clearly Polyploidy found, and not supported by vcftools. Tell us what you've tried to do, maybe one can recommend a better tool for it.

If no, than please tell us more about your data, what have you done to obtain the vcf file und what do you plan to do with it.

fin swimmer

ADD REPLY
0
Entering edit mode

Hi Fins,

Thank you for your reply. Yes, the genome i am working is hexaploid. I have tried calling SNPs for the genome using freebayes software. I would like to filter the SNPs from the vcf file based on dept and quality of SNPs.

Thank you!

ADD REPLY
0
Entering edit mode

bcftools is what you are looking for.

E.g. bcftools view -i 'QUAL>40' input.vcf for getting all sites with QUAL > 40.

fin swimmer

ADD REPLY
0
Entering edit mode

Thank you Fin for your suggestion.

ADD REPLY

Login before adding your answer.

Traffic: 1409 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6